// MPVT:
// UGens providing support for Ms Pinky's vinyl tracking system (http://www.mspinky.com)

// Daniel Jones, September 2007
// http://www.erase.net/

MPVelocity : UGen {
	*ar { arg in, absolute = 1, threshold = 0.1, sharpness = 1.0, generation = 4;
		^this.multiNewList([ 'audio' ] ++ in.asArray ++ [ absolute, threshold, sharpness, generation ]);
	}
}

MPPosition : UGen {
	*ar { arg in, absolute = 1, threshold = 0.1, sharpness = 1.0, generation = 4;
		^this.multiNewList([ 'audio' ] ++ in.asArray ++ [ absolute, threshold, sharpness, generation ]);
	}

}
MPSignalPower : UGen {
	*ar { arg in, absolute = 1, threshold = 0.1, sharpness = 1.0, generation = 4;
		^this.multiNewList([ 'audio' ] ++ in.asArray ++ [ absolute, threshold, sharpness, generation ]);
	}
}
MPErrorMetric : UGen {
	*ar { arg in, absolute = 1, threshold = 0.1, sharpness = 1.0, generation = 4;
		^this.multiNewList([ 'audio' ] ++ in.asArray ++ [ absolute, threshold, sharpness, generation ]);
	}
}
